import type commandDefinitions from '../command-definitions';
import * as utils from '../utils';
import { ProjectCommand } from './project-command';
export type BundleCommandDefinition = typeof commandDefinitions.bundle;
export declare class BundleCommand extends ProjectCommand<BundleCommandDefinition> {
    run(buildContext?: utils.esbuild.BuildCodeContext): Promise<void>;
    private _bundle;
    private get _code();
    private get _buildOptions();
}
